Subject: bug#69232: 30.0.50; [PATCH] EWW history navigation gets caught in a loop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Feb 2024 15:22:26 +0200

> Date: Mon, 19 Feb 2024 10:55:49 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 2/19/2024 4:12 AM, Eli Zaretskii wrote:
> > I'm not sure this is a bug fix, and I think this behavior change does
> > need a NEWS entry.
> 
> Ok, I added one.

Thanks, but I'm afraid it's somewhat confusing:

> +*** History navigation in EWW now works like other browsers.
> +Previously, when navigating back and forward through page history in
> +EWW, new history entries could get added to the history list.  Now, when
> +navigating through history, EWW preserves the history list and only
> +displays the relevant history entry.

This doesn't really explain the nature of the change in behavior.
AFAIU, the previous behavior was that going back in browsing history
could add the old entries to the history instead of removing them; now
going back will _never_ add entries to the history.  Isn't that so?